local app = require("lapis").Application()

local util = require("util")

local models = require("models")
local Users = models.Users

app:get("user_list", "/list", function(self)
  self.me = util.get_logged_in_user(self)
  if not self.me then
    return {redirect_to = self:url_for("all_topics")}
  end
  
  if not self.me:is_mod() then
    return {redirect_to = self:url_for("all_topics")}
  end
  
  self.users = Users:select("")
  
  return {render = "mod.user-list"}
end)

return app
